# Generated by Django 3.1.1 on 2020-09-19 18:02

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('datengegenrechts', '0002_auto_20200919_1650'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='incident',
            name='city',
        ),
        migrations.RemoveField(
            model_name='incident',
            name='lat',
        ),
        migrations.RemoveField(
            model_name='incident',
            name='lon',
        ),
        migrations.RemoveField(
            model_name='incident',
            name='state',
        ),
        migrations.AlterField(
            model_name='source',
            name='timestamp',
            field=models.DateTimeField(null=True),
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('lat', models.FloatField()),
                ('lon', models.FloatField()),
                ('city', models.CharField(max_length=50)),
                ('state', models.CharField(max_length=50)),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='childs', to='datengegenrechts.location')),
            ],
        ),
        migrations.AddField(
            model_name='incident',
            name='location',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to='datengegenrechts.location'),
        ),
    ]
